# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

Name:           vulkan-volk
Version:        1.4.309.0
Release:        %mkrel 2
Summary:        Meta loader for Vulkan API
Group:          System/Libraries
License:        MIT
URL:            https://github.com/zeux/volk
Source0:        %url/archive/vulkan-sdk-%{version}/Vulkan-Volk-sdk-%{version}.tar.gz
# from opensuse
Patch0:         vulkan-volk-shared.patch

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  vulkan-headers

Requires:       vulkan-headers
Conflicts:      volk-devel

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description
Meta loader for Vulkan API.

%prep
%autosetup -n volk-vulkan-sdk-%{version} -p1

%build
%cmake \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DVOLK_INSTALL:BOOL=ON \
        -GNinja
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_includedir}/volk.h
%{_includedir}/volk.c
%{_libdir}/cmake/volk/
%{_libdir}/libvolk.so


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.4.309.0-2.mga10
+ Revision: 2251859
- Mageia 10 Mass Rebuild

* Mon Apr 21 2025 daviddavid <daviddavid> 1.4.309.0-1.mga10
+ Revision: 2177887
- update to 1.4.309.0 SDK

* Wed Jan 22 2025 daviddavid <daviddavid> 1.4.304.0-1.mga10
+ Revision: 2140477
- update to 1.4.304.0 SDK

* Fri Nov 15 2024 daviddavid <daviddavid> 1.3.296.0-1.mga10
+ Revision: 2116035
- update to 1.3.296.0 SDK

* Tue Aug 20 2024 daviddavid <daviddavid> 1.3.290.0-1.mga10
+ Revision: 2087113
- initial package vulkan-volk

